Bug 297521 - Rebase squid to the latest stable (STABLE20)
Rebase squid to the latest stable (STABLE20)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: squid (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Skala
: FutureFeature, Rebase, Triaged
Depends On:
Blocks: RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2007-09-20 04:13 EDT by Martin Stransky
Modified: 2014-11-09 17:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Squid has been re-based to the latest stable upstream version (STABLE21). This update addresses several bugs, including: * The squid init script always incorrectly returned an exit code of 0. This bug is now fixed, making squid now compliant with Linux Standard Base. * Using the refresh_stale_hit directive causes error message "Clock going backwards" to appear in the squid log file. * The squid installation process did not set up correct ownership of /usr/local/squid directory. With this release, the user squid is now the default owner of /usr/local/squid. * Whenever squid attempts to use the function hash_lookup(), it could abort with signal 6. * Using squid_unix_group could cause squid to crash.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:16:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Stransky 2007-09-20 04:13:38 EDT
Description of problem:

There's a new bugfix update for the squid package and it includes an upstream
replacement for our specific fd config patch.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 7 RHEL Product and Program Management 2007-12-03 15:46:23 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 9 Martin Nagy 2008-05-09 10:53:11 EDT
Latest STABLE is 2.6.STABLE20
Comment 11 Jiri Skala 2008-07-21 08:14:40 EDT
rebased to last release STABLE21
Comment 16 Don Domingo 2008-11-10 00:37:38 EST
This release note is now in the 5.3 Release Notes.

The changes should be visible internally (within 12 hours) on:
http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.3/html/Release_Notes/

If there are any changes required, please edit the "Release Notes" field above and set the requires_release_notes flag back to ?.
Comment 17 Don Domingo 2008-11-10 00:37:38 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Squid has been re-based to the latest stable upstream version (STABLE20). This update addresses several bugs, including:

* The squid init script always incorrectly returned an exit code of 0. This bug is now fixed, making squid now compliant with Linux Standard Base.

* Using the refresh_stale_hit directive causes error message "Clock going backwards" to appear in
the squid log file.

* The squid installation process did not set up correct ownership of /usr/local/squid
directory. With this release, the user squid is now the default owner of /usr/local/squid.

* Whenever squid attempts to use the function hash_lookup(), it could abort with signal 6.

* Using squid_unix_group could cause squid to crash.
Comment 19 Jiri Skala 2008-12-02 09:36:39 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,4 +1,4 @@
-Squid has been re-based to the latest stable upstream version (STABLE20). This update addresses several bugs, including:
+Squid has been re-based to the latest stable upstream version (STABLE21). This update addresses several bugs, including:
 
 * The squid init script always incorrectly returned an exit code of 0. This bug is now fixed, making squid now compliant with Linux Standard Base.
Comment 20 errata-xmlrpc 2009-01-20 16:16:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0126.html

Note You need to log in before you can comment on or make changes to this bug.